package com.ruoyi.mall.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 告警操作记录对象 mall_warn_operate_log
 * 
 * @author LCL
 * @date 2024-03-18
 */
public class MallWarnOperateLog extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 告警操作记录主键ID */
    private Long warnOperateLogId;

    /** 所属公司ID */
    @Excel(name = "所属公司ID")
    private Long companyId;

    /** 所属公司名 */
    @Excel(name = "所属公司名")
    private String companyName;

    /** 所属管理员ID */
    @Excel(name = "所属管理员ID")
    private Long userId;

    /** 所属管理员名 */
    @Excel(name = "所属管理员名")
    private String userName;

    /** 基站ID */
    @Excel(name = "基站ID")
    private Long baseStationId;

    /** 基站名 */
    @Excel(name = "基站名")
    private String baseStationName;

    /** 基站编号 */
    @Excel(name = "基站编号")
    private String baseStationNumber;

    /** 设备ID */
    @Excel(name = "设备ID")
    private Long deviceId;

    /** 设备名 */
    @Excel(name = "设备名")
    private String deviceName;

    /** 记录类型：0-告警，1-系统（操作） */
    @Excel(name = "记录类型：0-告警，1-系统", readConverterExp = "操=作")
    private String warnOperateLogType;

    /** 记录内容 */
    @Excel(name = "记录内容")
    private String warnOperateLogName;

    /** 省份ID */
    @Excel(name = "省份ID")
    private Long provinceId;

    /** 省份名 */
    @Excel(name = "省份名")
    private String provinceName;

    /** 城市ID */
    @Excel(name = "城市ID")
    private Long cityId;

    /** 城市名 */
    @Excel(name = "城市名")
    private String cityName;

    /** 区县ID */
    @Excel(name = "区县ID")
    private Long areaId;

    /** 区县名 */
    @Excel(name = "区县名")
    private String areaName;

    /** 地址 */
    @Excel(name = "地址")
    private String address;

    /** 相关ID */
    @Excel(name = "相关ID")
    private String resId;

    /** 创建时间 */
    @Excel(name = "创建时间")
    private String createAt;

    /** 修改时间 */
    @Excel(name = "修改时间")
    private String updateAt;

    /** 删除标记：0-正常，1-删除 */
    private String delFlag;

    public void setWarnOperateLogId(Long warnOperateLogId) 
    {
        this.warnOperateLogId = warnOperateLogId;
    }

    public Long getWarnOperateLogId() 
    {
        return warnOperateLogId;
    }
    public void setCompanyId(Long companyId) 
    {
        this.companyId = companyId;
    }

    public Long getCompanyId() 
    {
        return companyId;
    }
    public void setCompanyName(String companyName) 
    {
        this.companyName = companyName;
    }

    public String getCompanyName() 
    {
        return companyName;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setUserName(String userName) 
    {
        this.userName = userName;
    }

    public String getUserName() 
    {
        return userName;
    }
    public void setBaseStationId(Long baseStationId) 
    {
        this.baseStationId = baseStationId;
    }

    public Long getBaseStationId() 
    {
        return baseStationId;
    }
    public void setBaseStationName(String baseStationName) 
    {
        this.baseStationName = baseStationName;
    }

    public String getBaseStationName() 
    {
        return baseStationName;
    }
    public void setBaseStationNumber(String baseStationNumber) 
    {
        this.baseStationNumber = baseStationNumber;
    }

    public String getBaseStationNumber() 
    {
        return baseStationNumber;
    }
    public void setDeviceId(Long deviceId) 
    {
        this.deviceId = deviceId;
    }

    public Long getDeviceId() 
    {
        return deviceId;
    }
    public void setDeviceName(String deviceName) 
    {
        this.deviceName = deviceName;
    }

    public String getDeviceName() 
    {
        return deviceName;
    }
    public void setWarnOperateLogType(String warnOperateLogType) 
    {
        this.warnOperateLogType = warnOperateLogType;
    }

    public String getWarnOperateLogType() 
    {
        return warnOperateLogType;
    }
    public void setWarnOperateLogName(String warnOperateLogName) 
    {
        this.warnOperateLogName = warnOperateLogName;
    }

    public String getWarnOperateLogName() 
    {
        return warnOperateLogName;
    }
    public void setProvinceId(Long provinceId) 
    {
        this.provinceId = provinceId;
    }

    public Long getProvinceId() 
    {
        return provinceId;
    }
    public void setProvinceName(String provinceName) 
    {
        this.provinceName = provinceName;
    }

    public String getProvinceName() 
    {
        return provinceName;
    }
    public void setCityId(Long cityId) 
    {
        this.cityId = cityId;
    }

    public Long getCityId() 
    {
        return cityId;
    }
    public void setCityName(String cityName) 
    {
        this.cityName = cityName;
    }

    public String getCityName() 
    {
        return cityName;
    }
    public void setAreaId(Long areaId) 
    {
        this.areaId = areaId;
    }

    public Long getAreaId() 
    {
        return areaId;
    }
    public void setAreaName(String areaName) 
    {
        this.areaName = areaName;
    }

    public String getAreaName() 
    {
        return areaName;
    }
    public void setAddress(String address) 
    {
        this.address = address;
    }

    public String getAddress() 
    {
        return address;
    }
    public void setResId(String resId) 
    {
        this.resId = resId;
    }

    public String getResId() 
    {
        return resId;
    }
    public void setCreateAt(String createAt) 
    {
        this.createAt = createAt;
    }

    public String getCreateAt() 
    {
        return createAt;
    }
    public void setUpdateAt(String updateAt) 
    {
        this.updateAt = updateAt;
    }

    public String getUpdateAt() 
    {
        return updateAt;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("warnOperateLogId", getWarnOperateLogId())
            .append("companyId", getCompanyId())
            .append("companyName", getCompanyName())
            .append("userId", getUserId())
            .append("userName", getUserName())
            .append("baseStationId", getBaseStationId())
            .append("baseStationName", getBaseStationName())
            .append("baseStationNumber", getBaseStationNumber())
            .append("deviceId", getDeviceId())
            .append("deviceName", getDeviceName())
            .append("warnOperateLogType", getWarnOperateLogType())
            .append("warnOperateLogName", getWarnOperateLogName())
            .append("provinceId", getProvinceId())
            .append("provinceName", getProvinceName())
            .append("cityId", getCityId())
            .append("cityName", getCityName())
            .append("areaId", getAreaId())
            .append("areaName", getAreaName())
            .append("address", getAddress())
            .append("resId", getResId())
            .append("createAt", getCreateAt())
            .append("updateAt", getUpdateAt())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
